/*
 Theme Name:        Prespa SaaS
 Theme URI:         https://nasiothemes.com/themes/prespa/
 Description:       Prespa SaaS serves as a child theme of Prespa, inheriting all the features of Prespa. It is designed for SaaS (Software as a Service) and startup websites. The theme includes specialized block patterns for pricing tables, feature lists, services, testimonials and others. It supports responsive layouts and includes a native toggle for switching between light and dark mode. Theme demo: https://prespa-saas-demo.nasiothemes.com/
 Author:            Atanas Yonkov
 Author URI:        http://nasiothemes.com
 Template:          prespa
 Requires at least: 6.7
 Tested up to:      6.9
 Requires PHP:      5.6
 Version:           1.0.5
 License:           GNU General Public License v2 or later
 License URI:       http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:       prespa-saas
 Tags:              education, one-column, two-columns, three-columns, four-columns, grid-layout, right-sidebar, left-sidebar, block-patterns, wide-blocks, custom-colors, custom-header, custom-logo, custom-menu, featured-image-header, featured-images, footer-widgets, full-width-template, rtl-language-support, sticky-post, theme-options, threaded-comments, translation-ready
*/

.prespa-saas-animated-text {
    background: linear-gradient(to right, #0091f8 0%, #4b0082 25%, #8a2be2 50%, #d755e9 75%, #0091f8 90%);
    background-clip: text;
    color: transparent;
    background-size: 500% auto;
    animation: prespa-saas-text-shine 15s ease-in-out infinite alternate;
    will-change: transform;
}

.prespa-saas-hero-section .icon {
    position: relative;
    animation-name: prespa-saas-float-up-down;
    animation-duration: 5s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    width: fit-content;
    z-index: 10;
    transition: scale .75s ease-in-out;
    scale: 1;
}

.prespa-saas-hero-section .icon-top-left {
    animation-delay: 0s;
}

.prespa-saas-hero-section .icon-top-right {
    animation-delay: 0.75s;
}

.prespa-saas-hero-section .icon-bottom-right {
    animation-delay: 1.5s;
}

.prespa-saas-hero-section .icon-bottom-left {
    animation-delay: 2.25s;
}

.prespa-saas-hero-section .icon-top-left,
.prespa-saas-hero-section .icon-top-right {
    top: 4rem;
}

.prespa-saas-hero-section .icon-bottom-left,
.prespa-saas-hero-section .icon-bottom-right {
    bottom: 4rem;
}

.prespa-saas-hero-section .icon:hover {
    animation-play-state: paused;
    scale: 1.15;
    filter: brightness(1.05);
    z-index: 999;
}


@keyframes prespa-saas-text-shine {
    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 100% 50%;
    }
}

@keyframes prespa-saas-float-up-down {

    0%,
    100% {
        translate: 0 0;
    }

    50% {
        translate: 0 -20px;
    }
}

.promo-video a {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}


.promo-video a::before {
    content: "▶";
    font-size: 0.8em;
    position: absolute;
    left: 15px;

    opacity: 0;
    transform: translateX(-15px);
    transition: all .6s ease;
}

.promo-video a span {
    display: inline-block;
    transition: transform .6s ease;
}

.promo-video a:hover span {
    transform: translateX(10px);
}

.promo-video a:hover::before {
    opacity: 1;
    transform: translateX(0);
}

.promo-video a:hover {
    background-color: rgba(53, 109, 241, 0.04) !important;
}

.prespa-saas-box {
    gap: .5rem;
}

.prespa-saas-box figure {
	display: flex;
}

.prespa-saas-box p {
    font-size: var(--wp--preset--font-size--small);
}

@media (min-width: 40rem) {
    .prespa-saas-hero-section {
        --wp--preset--font-size--xx-large: 4rem;
    }
}

@media(max-width:40rem) {
    .prespa-saas-hero-section {
        --wp--preset--font-size--xx-large: 1.75rem;
    }

    .prespa-saas-hero-section .icon {
        display: none;
    }

    .prespa-saas-box {
        gap: .375rem;
        padding-left: .25rem !important;
        padding-right: .25rem !important
    }

    .prespa-saas-box p {
        font-size: .75rem;
    }
}

.prespa-saas-pricing-plans .wp-block-column {
    position: relative;
}

.prespa-saas-pricing-plans .badge-wrap {
    position: absolute;
    top: -1rem;
    left: 0;
    right: 0;
    text-align: center;
    width: 100%;
}

.prespa-saas-pricing-plans .nasio-tab-nav-button {
    font-size: .875rem;
}

.prespa-saas-pricing-plans .badge {
    color: #fff;
    padding: .5rem .75rem;
    border-radius: 12px;
    font-size: .75rem;
    background: linear-gradient(90deg, rgb(0, 145, 248) 0%, rgb(138, 43, 226) 70%, rgb(215, 85, 233) 100%);
}

.call-to-action a {
	border: 1px solid #e3e3e3;
	border-radius: 1.75rem;
	transition: .4s background;
}

.post-thumbnail img, .wp-element-button, .hentry, .widget-area section {
	border-radius: 1rem;
}

.cat-links a {
	border: 1px solid #e3e3e3;
	border-radius: .5rem;
}

.dark-mode {
    --wp--preset--color--dark-gray: #f7f7f7;
	--wp--preset--color--light-gray: #262626;
	--wp--preset--color--gray-25: #262626;
}


.dark-mode .section-faq.nasio-pattern .nasio-accordion-item-header {
	background-color: transparent;
	border-color: var(--p-line);
}

.dark-mode .nasio-accordion-item {
	border-bottom: 0;
}

.dark-mode .prespa-saas-why-choose-us .wp-block-column > .wp-block-group {
	border-color: #ababab !important;
}

.dark-mode .pattern-testimonials .nasio-slide .wp-block-cover{
	border-color: #ababab !important;
}